Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515848 - dnf makes it hard to debug SSL related issues
Summary: dnf makes it hard to debug SSL related issues
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavla Kratochvilova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 13:24 UTC by Tomas Tomecek
Modified: 2019-02-21 02:57 UTC (History)
5 users (show)

Fixed In Version: dnf-4.1.0-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1594121 (view as bug list)
Environment:
Last Closed: 2019-02-21 02:57:13 UTC


Attachments (Terms of Use)

Description Tomas Tomecek 2017-11-21 13:24:12 UTC
I have a repofile which points to remote repo which uses custom SSL certificates. When I do `dnf makecache`, dnf says:
```
Failed to synchronize cache for repo 'bad-repo', disabling.
```

But doesn't tell me why it failed to synchronize.

So I tried `-v`:
```
Cannot download 'https://.../bad-repo/': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried.
```

Pretty much the same error message: "I can't access the URL and I won't tell you why".

I literally had to use curl to figure this out.


Could you please add more info to logs (or even to stderr) in case of errors during http connection?

Thank you.

Comment 1 Martin Hatina 2017-11-21 13:42:11 UTC
Fixed by https://github.com/rpm-software-management/dnf/pull/932

Non-verbose dnf has the same output, but in verbose mode it prints out every error that was returned from librepo.

Comment 2 Ben Cotton 2018-11-27 13:30:41 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Pavla Kratochvilova 2018-12-20 08:59:47 UTC
PR: https://github.com/rpm-software-management/libdnf/pull/661

Adds errors when running dnf in verbose mode (non-verbose stays the same).

Comment 4 Fedora Update System 2019-02-18 10:15:46 UTC
libcomps-0.1.10-2.fc29 libdnf-0.26.0-1.fc29 dnf-plugins-core-4.0.4-1.fc29 dnf-plugins-extras-4.0.2-1.fc29 dnf-4.1.0-1.fc29 librepo-1.9.4-1.fc29 createrepo_c-0.12.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1fccede810

Comment 5 Fedora Update System 2019-02-19 06:27:36 UTC
createrepo_c-0.12.1-1.fc29, dnf-4.1.0-1.fc29, dnf-plugins-core-4.0.4-1.fc29, dnf-plugins-extras-4.0.2-1.fc29, libcomps-0.1.10-2.fc29, libdnf-0.26.0-1.fc29, librepo-1.9.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1fccede810

Comment 6 Ben Cotton 2019-02-19 17:12:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 7 Fedora Update System 2019-02-21 02:57:13 UTC
createrepo_c-0.12.1-1.fc29, dnf-4.1.0-1.fc29, dnf-plugins-core-4.0.4-1.fc29, dnf-plugins-extras-4.0.2-1.fc29, libcomps-0.1.10-2.fc29, libdnf-0.26.0-1.fc29, librepo-1.9.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.